Skip to main content
PATCH
Update Promotion

Authorizations

Authorization
string
header
required

Bearer API key for server-to-server access. Session auth is also supported in first-party UI flows.

Path Parameters

promotionId
string
required

Query Parameters

organizationId
string

Optional organization scope for session-authenticated calls. OAuth client credentials resolve the organization from the token.

Maximum string length: 120

Body

application/json
organizationId
string
Maximum string length: 120
name
string
Maximum string length: 200
description
string | null
Maximum string length: 2000
discountType
enum<string>
Available options:
percentage,
fixed_amount
discountValue
number

Positive discount amount or percentage (must be > 0).

Required range: x >= 0
storeKeys
string[]
Minimum array length: 1
startsAt
string<date-time> | null
endsAt
string<date-time> | null
status
enum<string>
Available options:
draft,
scheduled,
active,
paused,
ended,
archived
minSalePrice
number | null
Required range: x >= 0
maxDiscountAmount
number | null
Required range: x >= 0
minSpend
number | null
Required range: x >= 0

Response

Promotion updated.

promotion
object
required